الذكاء المنصاتي API
انستجرام API
يصل إنستغرام إلى حوالي 3 مليارات مستخدم شهريًا من خلال الصور والقصص ومقاطع الريل والرسائل المباشرة، مما يجعله مهمًا لرواية العلامات التجارية، والشراكات مع المبدعين، واكتشاف المنتجات، والتجارة المرئية.
مرجع API الإصدار: 1.0.0 25 نقاط النهاية المصادقة
عنوان URL الأساسي
https://api.pressmonitor.com/instagram/v1 المصادقة
تستخدم جميع الطلبات مصادقة رمز Bearer. أضف رأس Authorization إلى كل استدعاء.
Authorization: Bearer YOUR_TOKEN GET
/audio-info معلومات الصوت
Audio Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| audio_id | string | query | نعم | معرف الصوت |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/audio-info" querystring = {"audio_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/comments-thread سلسلة التعليقات
Comments Thread
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| comment_id | string | query | نعم | معرف التعليق |
| count | integer | query | لا | عدد النتائج المراد إرجاعها |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/comments-thread" querystring = {"comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/followers المتابِعون
Followers
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/followers" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/following المتابَعون
Following
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/following" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/hashtag-posts منشورات الهاشتاج
Hashtag Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| hashtag | string | query | نعم | هاشتاج |
| count | integer | query | لا | عدد النتائج المراد إرجاعها |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/hashtag-posts" querystring = {"hashtag":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/highlight-info معلومات النقطة البارزة
Highlight Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| highlight_id | string | query | نعم | معرف النقطة البارزة |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlight-info" querystring = {"highlight_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/highlights النقاط البارزة
Highlights
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlights" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/info معلومات
Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
| include_about | string | query | لا | تضمين حول |
| url_embed_safe | string | query | لا | رابط مضمن آمن |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/info" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","include_about":"SOME_STRING_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/likes الإعجابات
Likes
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| shortcode | string | query | نعم | الشورت كود |
| count | integer | query | لا | عدد النتائج المراد إرجاعها |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/likes" querystring = {"shortcode":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/location-posts منشورات الموقع
Location Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| location_id | string | query | نعم | معرف الموقع |
| count | integer | query | لا | عدد النتائج المراد إرجاعها |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/location-posts" querystring = {"location_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/post-info معلومات المنشور
Post Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| url_or_shortcode | string | query | نعم | رابط أو شورت كود |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
| url_embed_safe | string | query | لا | رابط مضمن آمن |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/post-info" querystring = {"url_or_shortcode":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/posts المنشورات
Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/posts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/reels ريلز
Reels
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reels" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/reposts إعادات النشر
Reposts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| count | integer | query | لا | عدد النتائج المراد إرجاعها |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reposts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-audios البحث في الصوتيات
Search Audios
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| search_query | string | query | نعم | استعلام البحث |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-audios" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-coordinates البحث بالإحداثيات
Search Coordinates
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| lat | string | query | نعم | خط العرض |
| lng | string | query | نعم | خط الطول |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-coordinates" querystring = {"lat":"SOME_STRING_VALUE","lng":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-locations البحث عن مواقع
Search Locations
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| search_query | string | query | نعم | استعلام البحث |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-locations" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-posts البحث في المنشورات
Search Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| search_query | string | query | نعم | استعلام البحث |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-posts" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-reels البحث في الريلز
Search Reels
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| search_query | string | query | نعم | استعلام البحث |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-reels" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-similar البحث عن مشابه
Search Similar
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id | string | query | نعم | اسم المستخدم أو المعرف |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-similar" querystring = {"username_or_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/search-users البحث عن مستخدمين
Search Users
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| search_query | string | query | نعم | استعلام البحث |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-users" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/stories القصص
Stories
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/stories" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
GET
/tagged الموسوم
Tagged
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| username_or_id_or_url | string | query | نعم | اسم المستخدم أو المعرف أو الرابط |
| count | integer | query | لا | عدد النتائج المراد إرجاعها |
| cursor | integer | query | لا | مؤشر التصفح للصفحة التالية |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/tagged" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
200 نجاح
/commentsالتعليقات
Comments
بارامترات
stringintegerintegerأمثلة الشيفرة
الردود